package com.ym.mec.biz.dal.entity;

import io.swagger.annotations.ApiModelProperty;

import org.apache.commons.lang3.builder.ToStringBuilder;

import com.ym.mec.biz.dal.enums.ClassGroupStudentStatusEnum;
import com.ym.mec.biz.dal.enums.GroupType;

import java.util.Date;

/**
 * 对应数据库表(class_group_student_mapper):
 */
public class ClassGroupStudentMapper {

	/**  */
	private Long id;
	
	private GroupType groupType;

	/** 乐团id */
	@ApiModelProperty(value = "班级编号",required = false)
	private String musicGroupId;
	
	/** 班级 */
	@ApiModelProperty(value = "班级编号",required = false)
	private int classGroupId;
	
	/** 学生 */
	@ApiModelProperty(value = "学生编号",required = false)
	private Integer userId;

	/** 学生 */
	@ApiModelProperty(value = "状态（在读、请假、退学）",required = false)
	private ClassGroupStudentStatusEnum status;
	
	/**  */
	private java.util.Date createTime;

	private String userName;

	private Date updateTime;

	public Date getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

	public String getUserName() {
		return userName;
	}

	public void setUserName(String userName) {
		this.userName = userName;
	}

	public String getMusicGroupId() {
		return musicGroupId;
	}

	public void setMusicGroupId(String musicGroupId) {
		this.musicGroupId = musicGroupId;
	}

	public ClassGroupStudentMapper() {
	}

	public ClassGroupStudentMapper(int classGroupId, Integer userId) {
		this.classGroupId = classGroupId;
		this.userId = userId;
		this.status = ClassGroupStudentStatusEnum.NORMAL;
	}

	public ClassGroupStudentMapper(String musicGroupId, Integer userId,GroupType groupType) {
		this.musicGroupId = musicGroupId;
		this.userId = userId;
		this.groupType = groupType;
		this.status = ClassGroupStudentStatusEnum.NORMAL;
	}

	public ClassGroupStudentMapper(String musicGroupId, int classGroupId, Integer userId, ClassGroupStudentStatusEnum status) {
		this.musicGroupId = musicGroupId;
		this.classGroupId = classGroupId;
		this.userId = userId;
		this.status = status;
	}

	public ClassGroupStudentStatusEnum getStatus() {
		return status;
	}

	public void setStatus(ClassGroupStudentStatusEnum status) {
		this.status = status;
	}

	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}
			
	public void setClassGroupId(int classGroupId){
		this.classGroupId = classGroupId;
	}
	
	public GroupType getGroupType() {
		return groupType;
	}

	public void setGroupType(GroupType groupType) {
		this.groupType = groupType;
	}

	public int getClassGroupId(){
		return this.classGroupId;
	}
			
	public void setUserId(Integer userId){
		this.userId = userId;
	}
	
	public Integer getUserId(){
		return this.userId;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}
}
